# Generated by Django 4.2.11 on 2024-03-21 22:14

import datetime
from django.db import migrations, models
import django.db.models.deletion
import pgcrypto.fields


class Migration(migrations.Migration):

    dependencies = [
        ('animals', '0005_animal_genero'),
    ]

    operations = [
        migrations.CreateModel(
            name='Vacina',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('atuacao', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('marca', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('tipo', models.CharField(blank=True, choices=[('Mono', 'Monovalente'), ('Poly', 'Polyvalente')], max_length=20, null=True)),
                ('fabricacao', pgcrypto.fields.DatePGPSymmetricKeyField()),
                ('expiracao', pgcrypto.fields.DatePGPSymmetricKeyField()),
                ('validade', pgcrypto.fields.DatePGPSymmetricKeyField(blank=True, null=True)),
                ('aplicado', pgcrypto.fields.DatePGPSymmetricKeyField(default=datetime.date.today)),
                ('aplicador', pgcrypto.fields.IntegerPGPSymmetricKeyField(blank=True, null=True)),
                ('aprovado', models.BooleanField(default=0)),
                ('img_vac', models.ImageField(default='default.jpg', upload_to='Imagem/Animal/Vacina/')),
                ('animal_ref_vac', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='animals.animal')),
            ],
        ),
        migrations.CreateModel(
            name='Historico',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('med_nome', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('atuacao', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('quantidade', pgcrypto.fields.IntegerPGPSymmetricKeyField()),
                ('quantidade_tipo', models.CharField(blank=True, choices=[('Ml', 'mililitro'), ('Mg', 'micrograma'), ('Pipeta', 'pipeta por kg')], max_length=20, null=True)),
                ('aplicado', pgcrypto.fields.DatePGPSymmetricKeyField(default=datetime.date.today)),
                ('animal_ref_hist', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='animals.animal')),
            ],
        ),
    ]
